Example request
PATCH https://api.jupiter-erp.com/api/account/print-backgrounds/example-id
Code
curl -X PATCH 'https://api.jupiter-erp.com/api/account/print-backgrounds/example-id' \
-H 'Authorization: Bearer YOUR_API_TOKEN' \
-H 'X-Account-Uuid: YOUR_ACCOUNT_UUID' \
-H 'Accept: application/json' \
-H 'Content-Type: application/json' \
-d '{
"name": "string",
"is_default": true,
"is_default_custom_document": true,
"is_default_quote": true,
"is_default_order_confirmation": true,
"is_default_delivery_note": true
}'Parameters
| Name | In | Required | Description |
|---|---|---|---|
| id | path | yes | — |
Request body
Optional
| Field | Type | Description |
|---|---|---|
| is_default | boolean | — |
| is_default_credit_note | boolean | — |
| is_default_custom_document | boolean | — |
| is_default_delivery_note | boolean | — |
| is_default_dunning | boolean | — |
| is_default_invoice | boolean | — |
| is_default_order_confirmation | boolean | — |
| is_default_quote | boolean | — |
| name | string | — |
Example request
{
"name": "string",
"is_default": true,
"is_default_custom_document": true,
"is_default_quote": true,
"is_default_order_confirmation": true,
"is_default_delivery_note": true
}Responses
200OK
ModelPrintBackground
| Field | Type | Description | |||||||||
|---|---|---|---|---|---|---|---|---|---|---|---|
| created_at | string (date-time) | Creation timestamp in ISO 8601 format. | |||||||||
| id* | integer | — | |||||||||
| is_default | boolean | — | |||||||||
| is_default_credit_note | boolean | — | |||||||||
| is_default_custom_document | boolean | — | |||||||||
| is_default_delivery_note | boolean | — | |||||||||
| is_default_dunning | boolean | — | |||||||||
| is_default_invoice | boolean | — | |||||||||
| is_default_order_confirmation | boolean | — | |||||||||
| is_default_quote | boolean | — | |||||||||
| mediaFile | object |
| |||||||||
| name* | string | — | |||||||||
| updated_at | string (date-time) | Last update timestamp in ISO 8601 format. |
Example response
{
"id": 0,
"name": "string",
"is_default": true,
"is_default_custom_document": true,
"is_default_quote": true,
"is_default_order_confirmation": true
}PrintBackgrounds